<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" xmlns:CogTracker="http://www.rword.ru/tracker/">
<xsl:template match="/">

<xsl:apply-templates select="./root"/>

</xsl:template>

<xsl:template match="root">
	<!-- xsl:for-each select=".//*" -->
		<xsl:apply-templates select="./CogTracker:ctDATABASE"/>
	<!-- /xsl:for-each -->
</xsl:template>

<xsl:template match="CogTracker:ctDATABASE">
	<xsl:apply-templates select="./CogTracker:ctFRAGMENT" order-by="-@CreationDate" />
</xsl:template>
<xsl:template match="CogTracker:ctNODE">
	<xsl:apply-templates select="./CogTracker:ctFRAGMENT" order-by="-@CreationDate"/>
</xsl:template>

<!-- LINEBREAKS -->
<!-- xsl:script language="JScript"><![CDATA[
function fnDoCRLF(someAttribute) {
	var sqqResult = new String();
	sqqResult += someAttribute;

	sqqResult = sqqResult.replace(/\n/g, "!BR/!");

	return sqqResult;
};
]]></xsl:script -->

<xsl:template match="CogTracker:ctFRAGMENT">
<TABLE CLASS="Fragment" COLS="3">
	<xsl:attribute name="NAME">id<xsl:value-of select="@UIN"/></xsl:attribute>
	<xsl:attribute name="ID">id<xsl:value-of select="@UIN"/></xsl:attribute>
	<xsl:attribute name="UIN"><xsl:value-of select="@UIN"/></xsl:attribute>

<COLGROUP>
	<COL ALIGN="LEFT" WIDTH="1" STYLE="width:6em;"/>	
	<COL ALIGN="LEFT" WIDTH="1" STYLE="width:15px;" Class="FieldTools"/>
	<COL ALIGN="LEFT" WIDTH="1" STYLE="width:90%;"/>
</COLGROUP>
<TBODY>
	<TR CLASS="TitleAndDate">
		<TD CLASS="FieldTitle">Title:<NOBR
			CLASS="FragmentTools"> <IMG Class="MoveFragmentButton"
				SRC="FragmentMove.gif"
				alt="Move this citation to another folder"
				onclick="top.fnFragmentMove(this)"
			/> <IMG Class="RemoveFragmentButton"
				SRC="FragmentDelete.gif"
				alt="Delete this citation"
				onclick="top.fnFragmentDelete(this)"
			/> </NOBR>
		</TD>
		<TD CLASS="FieldTools">
			<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="top.fnStartChange(this)" alt="Edit"/>
		</TD>
		<TD CLASS="FieldData">
<!--
			<SPAN Class="FieldTools">
				<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="fnStartChange(this)" alt="Edit"/>
			</SPAN>
-->
		 	<xsl:if test="@CreationDate">
				<SPAN Class="Date" NAME="FragmentDate" ID="FragmentDate">
					<xsl:eval>(new Date(parseInt(this.selectSingleNode("@CreationDate").text, 10))).toLocaleString()</xsl:eval>
				</SPAN>
			</xsl:if>
<!-- LINEBREAKS -->
<!--
			<DIV CLASS="FragmentTitle" NAME="FragmentTitle" ID="FragmentTitle">
				<xsl:eval>fnDoCRLF(this.getAttribute("Name"));
			</xsl:eval></DIV>
-->
			<DIV CLASS="FragmentTitle" NAME="FragmentTitle" ID="FragmentTitle">
				<xsl:value-of select="@Name"
			/></DIV>
		</TD>
	</TR>
	<TR CLASS="Text">
		<TD CLASS="FieldTitle">
			Text:
		</TD>
		<TD CLASS="FieldTools">
			<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="top.fnStartChange(this)" alt="Edit"/>
			<IMG Class="ExpandButton" SRC="FragmentExpand.gif" 
				onclick="top.fnExpandCollapseText(this)" 
				alt="Expand or collapse text" 
				NAME="ExpandCollapse"
				id="ExpandCollapse" />
                </TD>
		<TD CLASS="FieldData">
<!--
			<SPAN Class="FieldTools">
				<IMG Class="ExpandButton" SRC="FragmentExpand.gif" 
					onclick="fnExpandCollapseText(this)" 
					alt="Expand text"/>
				<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="fnStartChange(this)" alt="Edit"/>
			</SPAN>
-->

<!-- Auto-resize development delayed -->
<!-- STYLE="OVERFLOW: hidden;" -->
			<DIV Class="FragmentText" Name="FragmentText" 
				id="FragmentText" style="width:100%;"
				>
				<xsl:value-of select="@Text"
			/></DIV>
		</TD>
	</TR>
	<TR CLASS="Comment">
		<TD CLASS="FieldTitle">Comment: </TD>
		<TD CLASS="FieldTools">
			<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="top.fnStartChange(this)" alt="Edit"/>
		</TD>
		<TD CLASS="FieldData">
<!--
			<SPAN Class="FieldTools">
				<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="fnStartChange(this)" alt="Edit"/>
			</SPAN>
-->
			<DIV Class="FragmentComment" Name="FragmentComment" id="FragmentComment">
				<xsl:value-of select="@Comment"
			/></DIV>
		</TD>
	</TR>

	<TR CLASS="BaseURL">
		<TD CLASS="FieldTitle">From: </TD>
		<TD CLASS="FieldTools">
			<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="top.fnStartChange(this)" alt="Edit"/>
		</TD>
		<TD CLASS="FieldData">
<!--
			<SPAN Class="FieldTools">
				<IMG Class="ChangeButton" SRC="Edit.gif" 
				onclick="fnStartChange(this)" alt="Edit"/>
			</SPAN>
-->
			<DIV CLASS="BaseURLText" Name="BaseURLText" id="BaseURLText">
				<xsl:attribute name="HREF">
					<xsl:value-of select="@BaseURL" />
				</xsl:attribute>

				<A TARGET="_blank" CLASS="BaseURL" Name="BaseURL" id="BaseURL">
					<xsl:attribute name="HREF">
						<xsl:value-of select="@BaseURL"/>
					</xsl:attribute>
					<xsl:value-of select="@BaseURL"
			/></A></DIV>
		</TD>
	</TR>
</TBODY>
</TABLE>
<HR/>
</xsl:template>


</xsl:stylesheet>